{{#each this.visibleContainers as |item|}}
  {{#if (and (not @disableContainerEdit) (or @onConfigContainer @onSelect))}}
    <div class="input-layout">
      <div class="container-settings">
        <Input::Layout::ConfigContainerBtn
          class="btn-config-container btn-config-container-{{item.index}}"
          {{on "click" (fn this.configContainer item.index)}}
        />
      </div>
    </div>
  {{/if}}

  <LayoutContainer
    @container={{item.container}}
    @model={{@model}}
    @size={{@size}}
    @cols={{this.cols}}
    @id="{{item.id}}"
    @path={{item.path}}
  >
    <LayoutRows
      @size={{@size}}
      @layout={{item.container.rows}}
      @index={{item.index}}
      @path={{concat item.path ".rows"}}
      as |col|
    >
      {{yield col}}
    </LayoutRows>
  </LayoutContainer>
{{/each}}

<CustomPageStyle @value={{this.visibleContainersItems}} />